summaryrefslogtreecommitdiff
path: root/scripts/prereq.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2015-12-15 08:28:29 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2015-12-15 08:28:29 +0100
commit3b3017702b1ef100c6ccf214cf3117bf5a069e4d (patch)
tree788d6bbb5c53eef3b5b640b582e6349dd9b32aee /scripts/prereq.sh
parente106576e5f1e68c7796b172c303cd34df2939af1 (diff)
BCM28XX uses mkknlimg which need GNU tr, check for it otherwise compile coreutils on host
Diffstat (limited to 'scripts/prereq.sh')
-rwxr-xr-xscripts/prereq.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 744f39ac4..e585c36dc 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -450,6 +450,13 @@ if ! which qemu-img >/dev/null 2>&1; then
host_build_qemu=1
fi
+host_build_coreutils=0
+if which tr >/dev/null 2>&1; then
+ if ! tr --version 2>/dev/null|grep GNU >/dev/null;then
+ host_build_coreutils=1
+ fi
+fi
+
echo "config ADK_HOST_BUILD_TOOLS" > $topdir/target/config/Config.in.prereq
printf "\t%s\n" "bool" >> $topdir/target/config/Config.in.prereq
printf "\t%s\n" "default y" >> $topdir/target/config/Config.in.prereq
@@ -521,6 +528,9 @@ fi
if [ $host_build_qemu -eq 1 ]; then
printf "\t%s\n" "select ADK_HOST_BUILD_QEMU if ADK_HOST_NEED_QEMU" >> $topdir/target/config/Config.in.prereq
fi
+if [ $host_build_coreutils -eq 1 ]; then
+ printf "\t%s\n" "select ADK_HOST_BUILD_COREUTILS if ADK_HOST_NEED_COREUTILS" >> $topdir/target/config/Config.in.prereq
+fi
# create Host OS symbols
case $os in